<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_anaad_before_h2($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-05-ana-ad'); // 元の値を保持

	/*** 最初のH2タグ前に挿入するコンテンツ ***/
	if(isset( GetOP05_ana_ad()['first-autoad-content-use-js'] )){
		$use_js01 = GetOP05_ana_ad()['first-autoad-content-use-js'];
	}else{
		$use_js01 = '';
	}
	
	/* テキストフィールド（文字列） */
	if ( isset( $value['first-autoad-content'] ) && is_string( $value['first-autoad-content'] ) ) {
		if($use_js01 == '1'){
			$value['first-autoad-content'] = $value['first-autoad-content'] ; // サニタイズ
		}else{
			$value['first-autoad-content'] = wp_kses_post( $value['first-autoad-content'] ); // サニタイズ
		}
		
	} else {
		if ( isset( $original_value['first-autoad-content'] ) ) {
			$value['first-autoad-content'] = $original_value['first-autoad-content']; // 元の値を保持
		} else {
			$value['first-autoad-content'] = '';
		}
	}


	/*** 2つめのH2タグ前に挿入するコンテンツ ***/
	if(isset( GetOP05_ana_ad()['second-autoad-content-use-js'] )){
		$use_js02 = GetOP05_ana_ad()['second-autoad-content-use-js'];
	}else{
		$use_js02 = '';
	}
	
	/* テキストフィールド（文字列） */
	if ( isset( $value['second-autoad-content'] ) && is_string( $value['second-autoad-content'] ) ) {
		if($use_js02 == '1'){
			$value['second-autoad-content'] = $value['second-autoad-content'] ; // サニタイズ
		}else{
			$value['second-autoad-content'] = wp_kses_post( $value['second-autoad-content'] ); // サニタイズ
		}
		
	} else {
		if ( isset( $original_value['second-autoad-content'] ) ) {
			$value['second-autoad-content'] = $original_value['second-autoad-content']; // 元の値を保持
		} else {
			$value['second-autoad-content'] = '';
		}
	}

	/*** 3つめのH2タグ前に挿入するコンテンツ ***/
	if(isset( GetOP05_ana_ad()['third-autoad-content-use-js'] )){
		$use_js03 = GetOP05_ana_ad()['third-autoad-content-use-js'];
	}else{
		$use_js03 = '';
	}
	
	/* テキストフィールド（文字列） */
	if ( isset( $value['third-autoad-content'] ) && is_string( $value['third-autoad-content'] ) ) {
		if($use_js03 == '1'){
			$value['third-autoad-content'] = $value['third-autoad-content'] ; // サニタイズ
		}else{
			$value['third-autoad-content'] = wp_kses_post( $value['third-autoad-content'] ); // サニタイズ
		}
		
	} else {
		if ( isset( $original_value['third-autoad-content'] ) ) {
			$value['third-autoad-content'] = $original_value['third-autoad-content']; // 元の値を保持
		} else {
			$value['third-autoad-content'] = '';
		}
	}

	/*** 最初のH2タグ前に挿入するコンテンツにJSを使用する ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['first-autoad-content-use-js'] ) && $value['first-autoad-content-use-js'] === '1' ) {
		$value['first-autoad-content-use-js'] = '1'; // 明示的に '1' を設定
	} else {
		$value['first-autoad-content-use-js'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** 2つめのH2タグ前に挿入するコンテンツにJSを使用する ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['second-autoad-content-use-js'] ) && $value['second-autoad-content-use-js'] === '1' ) {
		$value['second-autoad-content-use-js'] = '1'; // 明示的に '1' を設定
	} else {
		$value['second-autoad-content-use-js'] = ''; // チェックされていない場合は空文字を設定
	}

	/***3つめのH2タグ前に挿入するコンテンツにJSを使用する ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['third-autoad-content-use-js'] ) && $value['third-autoad-content-use-js'] === '1' ) {
		$value['third-autoad-content-use-js'] = '1'; // 明示的に '1' を設定
	} else {
		$value['third-autoad-content-use-js'] = ''; // チェックされていない場合は空文字を設定
	}


	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}